Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.job
Class JobUtil.Instance

    java.lang.Object
      com.novell.nds.dirxml.job.JobUtil.Instance

Enclosing class:
  JobUtil

    public static class JobUtil.Instance

extends Object

Class encapsulating the information in an XDS instance element.

Method Summary
`String` | `getClassName()` Convenience method; equivalent to `getXmlAttribute("class-name")`.
`Map` | `getDirectoryAttributes()` Return a name->value mapping for any directory attributes in the XDS instance.
`String` | `getQualifiedSrcDN()` Convenience method; equivalent to `getXmlAttribute("qualified-src-dn")`.
`String` | `getSrcDN()` Convenience method; equivalent to `getXmlAttribute("src-dn")`.
`String` | `getSrcEntryID()` Convenience method; equivalent to `getXmlAttribute("src-entry-id")`.
`String` | `getXmlAttribute(String name)` Get the value of an XML attribute found on the XDS instance.
`Map` | `getXmlAttributes()` Return a name-value mapping for any XML attributes found on the XDS instance element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDirectoryAttributes

    public Map getDirectoryAttributes()

  Return a name->value mapping for any directory attributes in the XDS instance. The values are returned from the `Map` in the following form:

  Simple attribute syntaxes: An array of `String`s.
  Structured attribute syntaxes: An array of `StructuredValue` objects.

  Returns:
    a mapping from directory attribute names to values

### getXmlAttributes

    public Map getXmlAttributes()

  Return a name-value mapping for any XML attributes found on the XDS instance element. The map key is a `String` with the name of the XML attribute; the value is a `String`.

  Returns:
    mapping from XML attribute name to value

### getXmlAttribute

    public String getXmlAttribute(String name)

  Get the value of an XML attribute found on the XDS instance.

  Parameters:
    `name` - name of the XML attribute (e.g., `"src-dn"`)
  Returns:
    attribute value, or `null`

### getClassName

    public String getClassName()

  Convenience method; equivalent to `getXmlAttribute("class-name")`.

  Returns:
    class name value or `null`

### getSrcDN

    public String getSrcDN()

  Convenience method; equivalent to `getXmlAttribute("src-dn")`.

  Returns:
    source DN value or `null`

### getQualifiedSrcDN

    public String getQualifiedSrcDN()

  Convenience method; equivalent to `getXmlAttribute("qualified-src-dn")`.

  Returns:
    source DN value or `null`

### getSrcEntryID

    public String getSrcEntryID()

  Convenience method; equivalent to `getXmlAttribute("src-entry-id")`.

  Returns:
    entry ID value or `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD